List the SSH keys of a sandbox
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vms.dev/api/v1/sandboxes/{id}/ssh-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://vms.dev/api/v1/sandboxes/{id}/ssh-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://vms.dev/api/v1/sandboxes/{id}/ssh-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "ssk_06d8k3m7q2v9x4b1n5c0e8f2ja",
"sandboxId": "sbx_06d8k3m7q2v9x4b1n5c0e8f2ja",
"name": "dev@example.com",
"publicKey": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAINiCC4DtKiK4pnatEMwz9fpZks348+f9WnodyRCkr/al",
"fingerprint": "SHA256:DbPhl9dNAPM0TB3+SLh/OdwIJ9Rtl3hGJU6s/NJyjOg",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}Sandboxes
List the SSH keys of a sandbox
Lists the public keys that can connect to the sandbox with SSH, oldest first. Needs the sandboxes:ssh scope.
GET
/
v1
/
sandboxes
/
{id}
/
ssh-keys
List the SSH keys of a sandbox
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vms.dev/api/v1/sandboxes/{id}/ssh-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://vms.dev/api/v1/sandboxes/{id}/ssh-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://vms.dev/api/v1/sandboxes/{id}/ssh-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "ssk_06d8k3m7q2v9x4b1n5c0e8f2ja",
"sandboxId": "sbx_06d8k3m7q2v9x4b1n5c0e8f2ja",
"name": "dev@example.com",
"publicKey": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAINiCC4DtKiK4pnatEMwz9fpZks348+f9WnodyRCkr/al",
"fingerprint": "SHA256:DbPhl9dNAPM0TB3+SLh/OdwIJ9Rtl3hGJU6s/NJyjOg",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}{
"error": {
"code": "no_capacity",
"message": "<string>",
"requestId": "<string>",
"retryAfterSeconds": 4503599627370495,
"sandboxId": "<string>"
}
}